package de.ugoe.cs.quest.eventcore.guimodel;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 14.08.2012$
 * @author 2012, last modified by $Author: pharms$
 */
public class GUIModelException extends Exception {

    /**  */
    private static final long serialVersionUID = 1L;

    /**
     * TODO: comment
     *
     */
    public GUIModelException() {
        super();
    }

    /**
     * TODO: comment
     *
     * @param message
     */
    public GUIModelException(String message) {
        super(message);
    }

    /**
     * TODO: comment
     *
     * @param cause
     */
    public GUIModelException(Throwable cause) {
        super(cause);
    }

    /**
     * TODO: comment
     *
     * @param message
     * @param cause
     */
    public GUIModelException(String message, Throwable cause) {
        super(message, cause);
    }

}
